<?php

# 本配置文件会根据部署位置的不同而修改，此处请自行修改

$local = isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : 'localhost';

# 本地可用这个
$host = 'http://'.$local . Dever::$global['base']['path'];

# 定义assets的域名
$assets = DEVER_APP_HOST . 'assets/';
if(DEVER_APP_NAME == 'manage')
{
	$assets = $host . 'web/package/manage/assets/';
}

# 跨域设置
header('Access-Control-Allow-Origin:*');
return array
(
	# 项目跟域名
	'base' 	=> DEVER_APP_HOST,
	# 跟域名
	'workspace'	=> $host,

	# cookie 域名
	'cookie' => '',
	
	# assets 核心库访问地址 一般用不到，如果想把所有资源都放到这里，就要启用
	'core' 	=> $host . 'assets/lib/',
	
	# assets网络路径
	'assets' => $assets,
	'css' => $assets . 'css/',
	'js' => $assets . 'js/',
	'lib' => $assets . 'lib/',
	'img' => $assets . 'img/',
	'images' => $assets . 'images/',
	'font' => $assets . 'fonts/',
	'public' => $assets . 'public/',

	# 后台管理系统的assets路径
	'manage' => $host . 'web/package/manage/assets/default/',
	
	# 合并之后的网络路径，填写之后自动合并资源，不填写则不合并，适合把资源放到云端
	//'merge' => $host . 'web/data/assets/' . DEVER_PROJECT . '/',
	
	# 上传系统的上传路径的域名(不带action)
	'upload'=> $host . 'web/package/upload/?save',
	# 上传系统的访问域名
	'image'	=> $host . 'web/data/upload/',
	
	# 是否启用代理功能
	'proxy' => $host . 'web/application/plant/main/?data.proxy?',

	# 内部接口定义，manage为当前使用的系统
	'manage_api' => array
	(
		//'module' => 'http://192.168.33.10/workspace/web/application/earth/module/?',
	),
);