<?php

# 定义几个常用的选项
$option = array
(
	1 => '生效',
	2 => '失效',
);

return array
(
	# 表名
	'name' => 'filter',
	# 显示给用户看的名称
	'lang' => '过滤词配置',
	'order' => 1,
	'check' => 'name',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '过滤词-请填写一些常用的黑名单词汇',
			'default' 	=> '',
			'desc' 		=> '请输入过滤词',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '过滤次数',
			'default' 	=> '',
			'desc' 		=> '请输入过滤次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> true,
		),
	
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> array('is_numeric', 1),
			'option' 	=> $option,
			'update'	=> 'radio',
			'list'		=> true,
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# request 请求接口定义
	'request' => array
	(
		'up' => array
		(
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num' => array(1, '+='),
			),
			'type' => 'update',
		),
	)
);
