<?php

# 定义几个常用的选项
$option = array
(
	1 => '正常',
	2 => '删除',
);
return array
(
	# 表名
	'name' => 'data',
	# 显示给用户看的名称
	'lang' => '数据管理',
	# 后台菜单排序
	'order' => 6,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),

		'source_link'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '来源网址',
			'default' 	=> '',
			'desc' 		=> '来源网址',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			//'search'	=> 'fulltext',
			'list'		=> true,
		),

		'source_list'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '来源网址所属列表页',
			'default' 	=> '',
			'desc' 		=> '来源网址所属列表页',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '标题',
			'default' 	=> '',
			'desc' 		=> '请输入标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> 'textarea',
		),

		'cate_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分类id',
			'default' 	=> '1',
			'desc' 		=> '请选择分类id',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> '{cate_id} > 0 ? Dever::load("collect/cate-one#name", {cate_id}) : "无"',
			# 开启显示控制，可以控制下边的表单
			//'show'		=> 'cate_id',
		),

		'config_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '配置id',
			'default' 	=> '1',
			'desc' 		=> '请选择配置id',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> '{config_id} > 0 ? Dever::load("collect/config-one#name", {config_id}) : "无"',
			# 开启显示控制，可以控制下边的表单
			//'show'		=> 'cate_id',
		),
		
		'info'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '摘要',
			'default' 	=> '',
			'desc' 		=> '请输入摘要',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			//'edit'		=> true,
		),

		'content'		=> array
		(
			'type' 		=> 'text-1000',
			'name' 		=> '内容',
			'default' 	=> '',
			'desc' 		=> '请输入内容',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
			'key'		=> 1,
		),

		'extend'		=> array
		(
			'type' 		=> 'text-1000',
			'name' 		=> '扩展信息',
			'default' 	=> '',
			'desc' 		=> '请扩展信息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			//'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '数据状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $option,
			//'update'	=> 'radio',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			//'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		# 开启批量管理
		'mul' => true,
		'insert' => false,
		'list_button' => array(6 => '删除'),
	),

	
	# request 请求接口定义
	'request' => array
	(		
		# 更新浏览量
		'addView' => array
		(
			'type' => 'update',
			'where' => array
			(
				'id' => 'yes',
			),
			'set' => array
			(
				'num_view' => array('1', '+='),
			),
		),

		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'config_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('id', 'asc'),
		),
	),
);
