<?php return array (
  'time' => 1492077024,
  'table' => 'collect_collect_config',
  'create' => 'DROP TABLE IF EXISTS `collect_collect_config`;CREATE TABLE `collect_collect_config`(`id` INT(11) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL COMMENT \'配置ID\',`name` VARCHAR(100) NOT NULL DEFAULT \'\' COMMENT \'采集名称\',`cate_id_parent` INT(11) NOT NULL DEFAULT 0 COMMENT \'选择分类\',`cate_id` INT(11) NOT NULL DEFAULT 0 COMMENT \'子分类\',`site` TEXT(255)  COMMENT \'采集网址-这里填写采集网址，如果采集的网址和分页的链接不同，需要加入|G|分隔符来确认与分页不同的部分，如果进行单页采集，则|G|失效，同时此处可以填写多个网址，多个换行隔开\',`site_rule_content` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'是否进行批量采集-默认开启，开启则根据“底层页采集规则”得到下级网址里的内容，否则直接读取采集网址的内容（单页采集）\',`site_rule` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'底层页采集规则-使用正则表达式，匹配出当前采集网址里的底层页网址\',`page_rule` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'采集页数规则-填写采集的页数的正则表达式，加入|G|来设置共采集多少页，如[A-Z]|G|10\',`name_rule` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'采集标题规则-填写采集的标题的正则表达式，用来读取的标题\',`name_include` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'标题包含字符-如果填写该项，则进一步过滤，只保留包含有该字符的，不支持正则\',`content_rule` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'采集内容规则-填写采集的内容的正则表达式，用来读取的内容\',`content_include` TEXT(255)  COMMENT \'内容过滤字符-如果填写该项，则进一步过滤内容，只保留不包含有该字符的内容（注意：和标题包含字符不同），多个规则直接换行，支持正则\',`date_rule` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'采集时间规则-填写采集的时间的正则表达式，用来读取的时间\',`intro_rule` VARCHAR(300) NOT NULL DEFAULT \'\' COMMENT \'采集摘要规则-填写采集的摘要的正则表达式，用来读取的摘要，一般不需要特意采集\',`extend_rule` VARCHAR(600) NOT NULL DEFAULT \'\' COMMENT \'采集扩展字段规则-如果需要采集除上述之外的字段的数据，可以通过这个扩展字段规则来定义，多个换行\',`extend_name` VARCHAR(600) NOT NULL DEFAULT \'\' COMMENT \'扩展字段名称-必须与上述扩展字段规则一一对应，多个换行\',`pic_locate` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'图片本地化-默认关闭，将图片抓取到本站来，开启后抓取效率会降低\',`status` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'状态\',`num` INT(11) NOT NULL DEFAULT 0 COMMENT \'抓取次数\',`sdate` INT(11) NOT NULL DEFAULT 0 COMMENT \'抓取开始时间\',`time` INT(11) NOT NULL DEFAULT 0 COMMENT \'抓取间隔秒数-填写开始时间之后的间隔抓取的秒数，为0则只抓取一次\',`reorder` INT(11) NOT NULL DEFAULT \'1\' COMMENT \'排序(数值越大越靠前)\',`state` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'状态\',`cdate` INT(11) NOT NULL DEFAULT 0 COMMENT \'更新时间\') ENGINE = innodb',
  'struct' => 
  array (
    'id' => 0,
    'name' => 1,
    'cate_id_parent' => 2,
    'cate_id' => 3,
    'site' => 4,
    'site_rule_content' => 5,
    'site_rule' => 6,
    'page_rule' => 7,
    'name_rule' => 8,
    'name_include' => 9,
    'content_rule' => 10,
    'content_include' => 11,
    'date_rule' => 12,
    'intro_rule' => 13,
    'extend_rule' => 14,
    'extend_name' => 15,
    'pic_locate' => 16,
    'status' => 17,
    'num' => 18,
    'sdate' => 19,
    'time' => 20,
    'reorder' => 21,
    'state' => 22,
    'cdate' => 23,
  ),
  'alter' => 1,
);