<?php return array (
  'time' => 1492077005,
  'table' => 'collect_manage_role',
  'create' => 'DROP TABLE IF EXISTS `collect_manage_role`;CREATE TABLE `collect_manage_role`(`id` INT(11) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL COMMENT \'角色ID\',`name` VARCHAR(24) NOT NULL DEFAULT \'\' COMMENT \'角色名\',`role_id` INT(11) NOT NULL DEFAULT \'1\' COMMENT \'上级角色\',`self` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'是否只能管理自己发布的内容-请在需要此项权限的表中增加[数据查询时影响的字段]\',`col_select` VARCHAR(30) NOT NULL DEFAULT \'\' COMMENT \'数据查询时影响的字段-该项影响数据查询，如果在表中增加该字段，则后台在查询数据时自动查询当前管理员的ID下的数据，多个用逗号隔开，与[是否只能管理自己发布的内容]相关\',`col_insert` VARCHAR(30) NOT NULL DEFAULT \'\' COMMENT \'数据插入时影响的字段-该项影响数据插入，如果在表中增加该字段，则后台操作时自动为该字段赋值为当前管理员的ID，多个用逗号隔开\',`col_update` VARCHAR(30) NOT NULL DEFAULT \'\' COMMENT \'数据更新时影响的字段-该项影响数据更新，如果在表中增加该字段，则后台操作时自动为该字段赋值为当前管理员的ID，多个用逗号隔开\',`oper` VARCHAR(24) NOT NULL DEFAULT \'\' COMMENT \'操作权限\',`auth` TEXT(255)  COMMENT \'左侧菜单\',`top` TEXT(255)  COMMENT \'右侧头部菜单\',`reorder` INT(11) NOT NULL DEFAULT \'1\' COMMENT \'排序-数值越大越靠前\',`state` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'状态\',`cdate` INT(11) NOT NULL DEFAULT 0 COMMENT \'录入时间\') ENGINE = innodb',
  'struct' => 
  array (
    'id' => 0,
    'name' => 1,
    'role_id' => 2,
    'self' => 3,
    'col_select' => 4,
    'col_insert' => 5,
    'col_update' => 6,
    'oper' => 7,
    'hr1' => 8,
    'auth' => 9,
    'top' => 10,
    'reorder' => 11,
    'state' => 12,
    'cdate' => 13,
  ),
  'insert' => 'INSERT INTO `collect_manage_role` (name,oper,auth,col_update,col_insert,col_select,state,cdate) VALUES ("系统管理员","1,2,3,4,5","all","admin","admin","admin",1,1492077005),("普通管理员","1,2,3,4,5","","admin","admin","admin",1,1492077005)',
);