<?php
/*
|--------------------------------------------------------------------------
| api_log.php 日志表
|--------------------------------------------------------------------------
*/

return array
(
	# 表名
	'name' => 'api_log',
	# 显示给用户看的名称
	'lang' => '接口日志',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),

		'site'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '接口地址',
			'default' 	=> '',
			'desc' 		=> '请输入接口地址',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'request'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '请求参数',
			'default' 	=> '',
			'desc' 		=> '请输入请求参数',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'response'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '返回参数',
			'default' 	=> '',
			'desc' 		=> '请输入返回参数',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			'list'		=> 'table',
			'modal'		=> '查看详情',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '操作时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
);
