<?php
/*
|--------------------------------------------------------------------------
| 保存图片的几个方法
|--------------------------------------------------------------------------
*/
namespace DeverApp\Upload;

use Dever;
use DeverApp\Upload\Store\Local as Handle;

class Save
{
	public function __construct()
	{
		$image['file'] 	= Dever::input('file');
		$image['key'] 	= Dever::input('key');
		
		file_put_contents(DEVER_PATH . 'web/data/upload.txt', var_export($image, true)); 

		$handle = new Handle($image);

		$this->output = $handle->copy($image);
	}

	public function action()
	{
		return $this->output;
	}

	public function start()
	{
		Dever::out($this->output);
	}

	public function drag()
	{
		if($this->output['status'] == 1)
		{
			$this->output['filename'] = $this->output['url'];
		}
		else
		{
			$this->output['error'] = $this->output['message'];
		}
		
		Dever::out($this->output);
	}

	public function ueditor()
	{
		if($this->output['status'] == 1)
		{
			$this->output['state'] = 'SUCCESS';
			$this->output['original'] = 1;
		}
		else
		{
			$this->output['url'] = '';
			$this->output['fileType'] = 1;
			$this->output['original'] = 1;
			$this->output['state'] = $this->output['message'];
		}
		
		Dever::out($this->output);
	}

	public function simditor()
	{
		if($this->output['status'] == 1)
		{
			$this->output['state'] = true;
		}
		else
		{
			$this->output['state'] = false;
		}

		$this->output['file_path'] = $this->output['url'];
		
		Dever::out($this->output);
	}
}
